# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/regulator/silergy,sy8827n.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: silergy sy8827n PMIC

maintainers:
  - Jisheng Zhang <jszhang@kernel.org>

properties:
  compatible:
    enum:
      - silergy,sy8827n

  reg:
    maxItems: 1

  enable-gpios:
    description: GPIO to enable/disable the regulator.
    maxItems: 1

  silergy,vsel-state-high:
    type: boolean
    description:
      Indicates if the VSEL pin is set to high.
      If this property is missing, assume the VSEL pin is set to low.

required:
  - compatible
  - reg

additionalProperties: false

examples:
  - |
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;
        regulator@60 {
          compatible = "silergy,sy8827n";
          reg = <0x60>;
        };
    };

...
